defmodule LinkShortener.AccountsFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `LinkShortener.Accounts` context.
  """

  @doc """
  Generate a unique user email.
  """
  def unique_user_email, do: "some email#{System.unique_integer([:positive])}"

  @doc """
  Generate a new user.
  """
  def user_fixture(attrs \\ %{}) do
    {:ok, user} =
      attrs
      |> Enum.into(%{
        email: unique_user_email(),
        password: "some encrypted_password"
      })
      |> LinkShortener.Accounts.create_user()

    LinkShortener.Accounts.get_user!(user.id)
  end
end
